### Signal

# WebKit WebView::show-notification

since: 2.8

#### Declaration

    gboolean
    show_notification (
      WebKitWebView* self,
      WebKitNotification* notification,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a notification should be presented to the user. The `notification` is kept alive until either: 1) the web page cancels it or 2) a navigation happens.

The default handler will emit a notification using libnotify, if built with support for it.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.8

#### Parameters

`notification`

  Type: `WebKitNotification`

  A `WebKitNotification`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked. `FALSE` otherwise.